Summary: 	Small applet which displays cpu time for KDE kicker
Name: 		kcpuload
Version: 	1.99
Release: 	1mdk
Source0: 	%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		Monitoring
Url:		http://kde.quakenet.eu.org/kcpuload.shtml
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel libjpeg-devel libpng-devel XFree86-devel

%description
This is a small program for the KDE Kicker (the startmenu). 
It will show the CPU usage in form of one or two configurable diagrams. 
There are settings for colors and some different styles. 
Note that it isn't the real system load that's shown, but the percent 
used of the total CPU power, which is calculated from the number of 
CPU ticks.

To bring up the settings menu, simply rightclick on the diagram.
Use a slower update interval to get a more stable and accurate 
diagram without flicker.

If there are more than one CPU on the system, the total CPU usage from 
both can be shown, or you can choose to have one separate diagram for
each of the CPU's. 
Leftclick on the diagram to bring up a small information box which will 
show the exact CPU usage in text form.


%prep

%setup -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
           ./configure --prefix=%_prefix \
	   	       --disable-rpath \
		       --disable-debug \
		       --enable-final

%install
make install DESTDIR=%buildroot

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
	needs="kde" \
	section="Applications/Monitoring" \
	title="Kcpuload" \
	longtitle="Small applet which displays cpu time for KDE kicker" \
	command="%_bindir/%{name}" \
	icon=%{name}.png
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%dir %_datadir/apps/%{name}/

%_bindir/*

%dir %_datadir/doc/HTML/en/kcpuload/
%doc %_datadir/doc/HTML/en/kcpuload/*.bz2
%doc %_datadir/doc/HTML/en/kcpuload/*.docbook

%dir %_datadir/apps/%{name}/icons/ 

%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png
%_datadir/icons/crystalsvg/*/*/*.png
%_datadir/apps/%name

%_menudir/%{name}

%_datadir/applnk/System/*

%changelog
* Tue Mar 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.99-1mdk
- 1.99

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.1-2mdk
- Rebuild

* Wed Oct 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.9.1-1mdk
- from Balaji Ramani <balaji@yablibli.com> :
	- New version

* Mon Nov  5 2001 Stefan van der Eijk <stefan@eijk.nu> 1.90-11mdk
- BuildRequires revisited

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.90-10mdk
- Rebuild against libpng3

* Thu Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.90-9mdk
- rebuild with new kdelibs

* Tue Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.90-8mdk
- rebuild

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.90-7mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix optimizations for C++
- Fix BuildRequires for non %%ix86 architectures
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.90-6mdk
- Add build requires

* Tue Mar 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.90-5mdk
- Rebuild 

* Tue Feb 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.90-4mdk
- Rebuild

* Mon Feb 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.90-3mdk
- Rebuild add --enable-final --disable-debug

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.90-2mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 1.90-1mdk
- Firt mdk release
